<template>
		<router-view v-if="routerState"/>
</template>


<script>
export default {
  data(){
    return{
        routerState: true
    }
  },

  provide() {
        return {
            reload: this.reload
        }
  },

  methods: {
        reload() { //重载组件
            this.routerState = false;
            this.$nextTick(() => {
                this.routerState = true;
            })
        }
    }
}
</script>

<style lang="less">
  *{
    list-style: none;
    margin: 0;
    padding: 0;
  }
  body,HTML{
    width: 100%;
    height: 100%;
  }

</style>